Package ghidra.features.bsim.query.protocol

# Class ResponseDelete

java.lang.Object
ghidra.features.bsim.query.protocol.QueryResponseRecord
ghidra.features.bsim.query.protocol.ResponseDelete

public class ResponseDelete extends QueryResponseRecord
Response to a QueryDelete request containing a listing of the md5's of successfully deleted executables and a count of their functions. If a requested executable could not be deleted for some reason it is listed in a separate -missedlist-

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ResponseDelete.DeleteResult`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<ExeSpecifier>`
  `missedlist`
  `List<ResponseDelete.DeleteResult>`
  `reslist`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseDelete()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `getDescriptionManager, getLocalStagingCopy, getName, mergeResults, sort`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### reslist

    public List<ResponseDelete.DeleteResult> reslist

  - ### missedlist

    public List<ExeSpecifier> missedlist

- ## Constructor Details

  - ### ResponseDelete

    public ResponseDelete()

- ## Method Details

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `QueryResponseRecord`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `QueryResponseRecord`
    Throws:
      `LSHException`